Bug 219073 - HAL badly evaluate battery status
HAL badly evaluate battery status
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-12-10 08:10 EST by Wojciech Sluszniak
Modified: 2013-03-05 22:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-03 10:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wojciech Sluszniak 2006-12-10 08:10:20 EST
Description of problem:
HAL badly evaluate the battery status in Acer Aspire 3003LMi.
In the newer it was fixed, I've heard.
(ACPID info about battery is correct)

You can see how gnome-power-manager, which has an info from hal, works here:
Comment 1 Wojciech Sluszniak 2007-01-03 14:45:54 EST
I've explored the problem a bit and found that it's a problem with a low voltage
(1 mV when bettery is used, 2 mV when charged), which is reported by battery.
It looks like HAL uses this voltage to count battery.charge_level.current.
Comment 2 Bug Zapper 2008-04-04 01:10:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Wojciech Sluszniak 2008-04-04 04:40:13 EDT
It was fixed in the next release of Fedora.
Comment 4 Johan Kok 2008-05-03 10:28:27 EDT
(In reply to comment #3)
> It was fixed in the next release of Fedora.

Thank you for reporting that. I'm closing this issue as RESOLVED.

Note You need to log in before you can comment on or make changes to this bug.